<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">

    <modelVersion>4.0.0</modelVersion>
    <modules>
        <module>4dkankan-utils-mq</module>
        <module>4dkankan-common-utils</module>
        <module>4dkankan-utils-db</module>
        <module>4dkankan-utils-redis</module>
        <module>4dkankan-utils-fyun</module>
        <module>4dkankan-utils-sms</module>
        <module>4dkankan-utils-app-push</module>
        <module>4dkankan-utils-dingtalk</module>
        <module>4dkankan-utils-mongodb</module>
        <module>4dkankan-utils-email</module>
        <module>4dkankan-utils-rabbitmq</module>
        <module>4dkankan-utils-rubber-sheeting</module>
        <module>4dkankan-common-web</module>
        <module>4dkankan-utils-pay</module>
        <module>4dkankan-utils-fyun-parent</module>
        <module>4dkankan-utils-fyun-oss</module>
        <module>4dkankan-utils-fyun-s3</module>
        <module>4dkankan-utils-fyun-cos</module>
        <module>4dkankan-utils-fyun-obs</module>
        <module>4dkankan-utils-fyun-local</module>
        <module>4dkankan-utils-model</module>
        <module>4dkankan-utils-wechat</module>
        <module>4dkankan-utils-image</module>
        <module>4dkankan-utils-sensitive-word</module>
        <module>4dkankan-utils-elasticsearch</module>
        <module>4dkankan-utils-reg</module>
        <module>4dkankan-utils-filestorage</module>
        <module>4dkankan-utils-disruptormq</module>
        <module>4dkankan-utils-geo-query</module>
    </modules>

    <groupId>com.fdkankan</groupId>
    <artifactId>4dkankan-utils</artifactId>
    <version>3.0.0-SNAPSHOT</version>
    <packaging>pom</packaging>


    <repositories>
        <repository>
            <id>releases</id>
            <url>http://192.168.0.115:8081/nexus-2.14.2-01/content/repositories/releases/</url>
        </repository>
        <repository>
            <id>nexus-aliyun</id>
            <url>http://maven.aliyun.com/nexus/content/groups/public</url>
        </repository>
        <repository>
            <id>snapshots</id>
            <url>http://192.168.0.115:8081/nexus-2.14.2-01/content/repositories/snapshots/</url>
        </repository>
    </repositories>

    <properties>
        <java.version>1.8</java.version>
        <fastjson-version>1.2.83</fastjson-version>
        <hutool-version>5.7.17</hutool-version>
        <spring.cloud-version>Hoxton.SR8</spring.cloud-version>
        <servlet-api-version>2.4</servlet-api-version>
        <shiro.version>1.7.1</shiro.version>
        <spring.plugin.metadata-version>1.2.0.RELEASE</spring.plugin.metadata-version>
    </properties>

    <dependencies>
        <dependency>
            <groupId>cn.hutool</groupId>
            <artifactId>hutool-all</artifactId>
            <version>${hutool-version}</version>
        </dependency>
        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
            <version>1.18.20</version>
            <scope>provided</scope>
        </dependency>

    </dependencies>

    <dependencyManagement>
        <dependencies>

            <dependency>
                <groupId>cn.hutool</groupId>
                <artifactId>hutool-all</artifactId>
                <version>${hutool-version}</version>
            </dependency>

            <dependency>
                <groupId>com.alibaba.cloud</groupId>
                <artifactId>spring-cloud-alibaba-dependencies</artifactId>
                <version>2.2.7.RELEASE</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>

            <dependency>
                <groupId>org.springframework.cloud</groupId>
                <artifactId>spring-cloud-dependencies</artifactId>
                <version>${spring.cloud-version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>

            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-dependencies</artifactId>
                <version>2.3.12.RELEASE</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>
            <dependency>
                <groupId>org.springframework</groupId>
                <artifactId>spring-core</artifactId>
                <version>5.2.15.RELEASE</version>
            </dependency>
            <dependency>
                <groupId>org.springframework</groupId>
                <artifactId>spring-context</artifactId>
                <version>5.2.15.RELEASE</version>
            </dependency>
            <dependency>
                <groupId>org.springframework</groupId>
                <artifactId>spring-beans</artifactId>
                <version>5.2.15.RELEASE</version>
            </dependency>
            <dependency>
                <groupId>org.slf4j</groupId>
                <artifactId>slf4j-api</artifactId>
                <version>1.7.25</version>
            </dependency>
            <dependency>
                <groupId>com.alibaba</groupId>
                <artifactId>fastjson</artifactId>
                <version>${fastjson-version}</version>
            </dependency>
            <dependency>
                <groupId>org.apache.logging.log4j</groupId>
                <artifactId>log4j-api</artifactId>
                <version>2.17.0</version>
            </dependency>
            <dependency>
                <groupId>org.apache.logging.log4j</groupId>
                <artifactId>log4j-to-slf4j</artifactId>
                <version>2.17.0</version>
            </dependency>

            <dependency>
                <groupId>org.apache.commons</groupId>
                <artifactId>commons-lang3</artifactId>
                <version>3.10</version>
            </dependency>

            <dependency>
                <groupId>org.apache.commons</groupId>
                <artifactId>commons-pool2</artifactId>
                <version>2.5.0</version>
            </dependency>

            <dependency>
                <groupId>javax.servlet</groupId>
                <artifactId>servlet-api</artifactId>
                <version>${servlet-api-version}</version>
            </dependency>

            <dependency>
                <groupId>org.apache.shiro</groupId>
                <artifactId>shiro-spring</artifactId>
                <version>${shiro.version}</version>
            </dependency>

            <dependency>
                <groupId>org.springframework.plugin</groupId>
                <artifactId>spring-plugin-metadata</artifactId>
                <version>${spring.plugin.metadata-version}</version>
            </dependency>

        </dependencies>
    </dependencyManagement>



    <build>

        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-source-plugin</artifactId>
                <version>2.4</version>
                <executions>
                    <execution>
                        <id>attach-sources</id>
                        <goals>
                            <goal>jar</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
        </plugins>

        <pluginManagement>
            <plugins>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-compiler-plugin</artifactId>
                    <version>3.8.1</version>
                    <configuration>
                        <source>8</source>
                        <target>8</target>
                    </configuration>
                </plugin>
            </plugins>
        </pluginManagement>
    </build>

    <distributionManagement>
        <repository>
            <!-- 这里的ID要和setting的id一致 -->
            <id>releases</id>
            <url>http://192.168.0.115:8081/nexus-2.14.2-01/content/repositories/releases/</url>
        </repository>
        <!--这是打成快照版本的配置 -->
        <snapshotRepository>
            <id>snapshots</id>
            <url>http://192.168.0.115:8081/nexus-2.14.2-01/content/repositories/snapshots/</url>
        </snapshotRepository>
    </distributionManagement>

</project>
